Runtime

## org.eclipse.gmf.runtime.notation.impl
Class NotationEObjectImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.runtime.notation.impl.NotationEObjectImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

Direct Known Subclasses:
  RelativeBendpointsImpl

    public class NotationEObjectImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl

An implementation of the model object 'EObject'. This implementation flattens the fields for storing the `eProxyURI`, the `eContents()`, and the `eCrossReferences()`, which in `EObjectImpl` are stored in the properties holder. This reduces the likelihood of needing to allocate a properties holder and speeds up the access to these fields.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.URI` `eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `NotationEObjectImpl()` Creates an EObject that is faster and more space efficient.

Method Summary
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `eContents()`
`org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject>` `eCrossReferences()`
`boolean` `eIsProxy()`
`protected org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder` `eProperties()`
`org.eclipse.emf.common.util.URI` `eProxyURI()`
`void` `eSetProxyURI(org.eclipse.emf.common.util.URI uri)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver, eStaticClass`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eContainer, eContainingFeature, eContainmentFeature, eGet, eGet, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eNotify`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### eProxyURI

    protected org.eclipse.emf.common.util.URI eProxyURI

Constructor Detail

### NotationEObjectImpl

    protected NotationEObjectImpl()

  Creates an EObject that is faster and more space efficient.

Method Detail

### eProperties

    protected org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder eProperties()

  Overrides:
    `eProperties` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### eIsProxy

    public boolean eIsProxy()

  Specified by:
    `eIsProxy` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsProxy` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### eProxyURI

    public org.eclipse.emf.common.util.URI eProxyURI()

  Specified by:
    `eProxyURI` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eProxyURI` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSetProxyURI

    public void eSetProxyURI(org.eclipse.emf.common.util.URI uri)

  Specified by:
    `eSetProxyURI` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSetProxyURI` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### eContents

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> eContents()

  Specified by:
    `eContents` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eContents` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eCrossReferences

    public org.eclipse.emf.common.util.EList<org.eclipse.emf.ecore.EObject> eCrossReferences()

  Specified by:
    `eCrossReferences` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eCrossReferences` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.